Linux Kernelの脆弱性(Moderate: CVE-2021-31440)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

05/23/2021にLinux Kernelの脆弱性(Moderate: CVE-2021-31440)が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2021-31440 5.11.15 Linux Kernel eBPF Improper Input Validation Privilege Escalation Vulnerability

Red Hat: 8.8 Moderate

Red Hat: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-31440
    • 特権昇格の可能性
    • Linux Kernel 5.11.15にローカルの攻撃者が特権昇格できることを許す脆弱性が見つかりました。攻撃者がこれを悪用するには、まず最初に任意の「権限の低い」コードをターゲットシステムで実行させる必要があります。eBPFプログラムの処理中に問題があり、ユーザにより渡されたeBPFプログラムを実行前に適切に検証していませんでした。攻撃者はこれにより特権昇格しコードをkernelレベルで実行させることができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内

CM

こちらで小学生の勉強支援サイトをオープンしました。算数のプリント(都度、自動生成)が無料でダウンロードできます。コンテンツは未だ少ないですが、徐々に増やしていきます。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernelの脆弱性(Moderate: CVE-2021-3564)

次へ

GUPnPの脆弱性(Important: CVE-2021-33516)